This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 823385 - [abrt] gdb-7.3.50.20110722-13.fc16: htab_hash_string: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
[abrt] gdb-7.3.50.20110722-13.fc16: htab_hash_string: Process /usr/bin/gdb wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
abrt_hash:d7bb4f212a6404850072576e67c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 02:00 EDT by mmolinac14
Modified: 2013-02-13 09:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:54:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (26.18 KB, text/plain)
2012-05-21 02:01 EDT, mmolinac14
no flags Details
File: backtrace (9.73 KB, text/plain)
2012-05-21 02:01 EDT, mmolinac14
no flags Details
File: maps (13.70 KB, text/plain)
2012-05-21 02:02 EDT, mmolinac14
no flags Details

  None (edit)
Description mmolinac14 2012-05-21 02:00:41 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gdb -batch -ex 'set debug-file-directory /usr/lib/debug:/var/cache/abrt-di/usr/lib/debug' -ex 'file /usr/bin/seed' -ex 'core-file ./coredump' -ex 'thread apply all backtrace 2048 full' -ex 'info sharedlib' -ex 'print (char*)__abort_msg' -ex 'print (char*)__glib_assert_msg' -ex 'info registers' -ex disassemble
crash_function: htab_hash_string
executable:     /usr/bin/gdb
kernel:         3.3.5-2.fc16.x86_64
pid:            5815
pwd:            /home/mmolinac/.abrt/spool/ccpp-2012-05-20-20:22:43-2175
reason:         Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
time:           lun 21 may 2012 01:52:53 BOT
uid:            1000
username:       mmolinac

backtrace:      Text file, 9965 bytes
core.6126:      Binary file, 60702720 bytes
maps:           Text file, 14028 bytes
smolt_data:     Text file, 26809 bytes

build_ids:
:bf404f1f16ae38c405a644f7f2a5a3de02e5d158
:638db099ff5fb986d1a092629d1bb1dca5be4904
:bcc1273aa3d6d882f6e42297c587d9ddb66cdb18
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:b2addb78b534f66e1c4fb01a407861181151bd8a
:aa733447f84020c94a66814e501a36e248cbb43d
:d7281960890296855f900126a1d06da788ebed3e
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:a28f8db1b224530b0d38ad7b82a249cf7c3f18d6
:3cbc639da8b05f5cd87202ff77c5c335313d3276
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:d222726befa72e9043ea8866e8b2cfc29a90a2b8
:75eaece6e0d1e075520cdfad5c398fdab4370846

dso_list:
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330652809
:/usr/lib64/python2.7/lib-dynload/itertoolsmodule.so python-libs-2.7.2-5.2.fc16.x86_64 (Fedora Project) 1325481770
:/usr/lib64/python2.7/lib-dynload/itertoolsmodule.so python-libs-2.7.3-1.fc16.x86_64 (Fedora Project) 1336609485
:/lib64/libncurses.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1325481653
:/lib64/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330652809
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330652809
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330652809
:/lib64/libexpat.so.1.6.0 expat-2.1.0-1.fc16.x86_64 (Fedora Project) 1336609473
:/lib64/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.x86_64 (Fedora Project) 1335404602
:/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc16.x86_64 (Fedora Project) 1329866819
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330652809
:/lib64/libtinfo.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1325481653
:/lib64/libutil-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330652809
:/lib64/libthread_db-1.0.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330652809
:/usr/lib64/libpython2.7.so.1.0 python-libs-2.7.2-5.2.fc16.x86_64 (Fedora Project) 1325481770
:/usr/lib64/libpython2.7.so.1.0 python-libs-2.7.3-1.fc16.x86_64 (Fedora Project) 1336609485
:/usr/bin/gdb gdb-7.3.50.20110722-13.fc16.x86_64 (Fedora Project) 1335405065

environ:
:XDG_VTNR=1
:EXCLUDE_FROM_REPORT=pwd,executable,cmdline,pid,abrt_version,dso_list,component,environ,Directory,build_ids,kernel,coredump,maps,analyzer,uuid,core.2320,smolt_data,event_log,xsession_errors,reason,var_log_messages,uid,package,username,architecture,os_release,time,count,hostname
:XDG_SESSION_ID=2
:HOSTNAME=CowBoy
:ABRT_VERBOSE=0
:GIO_LAUNCHED_DESKTOP_FILE_PID=2068
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-BYd84k/gpg:0:1
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=05ffc3600f9fab3d2356159100000052-1337487462.234759-263003398
:HISTSIZE=1000
:REPORT_CLIENT_SLAVE=1
:DERBY_HOME=/usr/java/default/db
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/tmp/keyring-BYd84k
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=mmolinac
:LIBREPORT_PRGNAME=abrt
:SSH_AUTH_SOCK=/tmp/keyring-BYd84k/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1484,unix/unix:/tmp/.ICE-unix/1484
:USERNAME=mmolinac
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-abrt.desktop
:DESKTOP_SESSION=gnome
:PATH=/usr/java/default/bin:/usr/java/default/db/bin:/usr/java/jdk1.7.0_01/bin:/usr/java/default/bin:/usr/java/default/db/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/mmolinac/.local/bin:/home/mmolinac/bin
:MAIL=/var/spool/mail/mmolinac
:QT_IM_MODULE=xim
:PWD=/home/mmolinac/.abrt/spool/ccpp-2012-05-20-20:22:43-2175
:XMODIFIERS=@im=none
:JAVA_HOME=/usr/java/default
:GNOME_KEYRING_PID=1479
:GDM_LANG=es_ES.utf8
:LC_MEASUREMENT=es_BO.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/mmolinac
:DUMP_DIR=/home/mmolinac/.abrt/spool/ccpp-2012-05-20-20:22:43-2175
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=mmolinac
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-vH8DFpYYU0,guid=ea522de895632ca910e3ac660000002e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:EVENT=analyze_LocalGDB
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/mmolinac
:XAUTHORITY=/var/run/gdm/auth-for-mmolinac-yaHwDv/database
:_=/usr/bin/abrt-action-generate-backtrace

var_log_messages:
:May 21 01:52:53 CowBoy kernel: [ 9357.928916] gdb[5815] general protection ip:6ec890 sp:7fff427e4a68 error:0 in gdb[400000+4c6000]
:May 21 01:52:55 CowBoy abrt[5817]: Saved core dump of pid 5815 (/usr/bin/gdb) to /var/spool/abrt/ccpp-2012-05-21-01:52:53-5815 (79204352 bytes)
Comment 1 mmolinac14 2012-05-21 02:01:56 EDT
Created attachment 585723 [details]
File: smolt_data
Comment 2 mmolinac14 2012-05-21 02:01:59 EDT
Created attachment 585724 [details]
File: backtrace
Comment 3 mmolinac14 2012-05-21 02:02:03 EDT
Created attachment 585725 [details]
File: maps
Comment 4 Sergio Durigan Junior 2012-05-21 20:26:20 EDT
Hello,

Could you please attach the corefile present in /home/mmolinac/.abrt/spool/ccpp-2012-05-20-20:22:43-2175 ?

Thank you.
Comment 5 Tom Tromey 2012-05-22 10:58:01 EDT
It is hard to be sure but this might have been fixed by:
http://sourceware.org/ml/gdb-patches/2011-07/msg00647.html
Comment 6 Fedora End Of Life 2013-01-16 08:58:23 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 09:54:59 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.